@import './config';

.container {
  padding: 0 2rem;
}

.main {
  min-height: calc(100vh - 134px);
  padding: 4rem 0;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer {
  display: flex;
  flex: 1;
  padding: 2rem 0;
  border-top: 1px solid #eaeaea;
  justify-content: center;
  align-items: center;

  a {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
  }
}

.title {
  line-height: 1.15;
  font-size: 4rem;

  a {
    color: $accent;
    text-decoration: none;
  }
}

.grid {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 1000px;
}

.grid img, .grid video {
  margin: 1rem;
  text-align: left;
  color: inherit;
  text-decoration: none;
  border: 1px solid #eaeaea;
  border-radius: 10px;
  transition: color 0.15s ease, border-color 0.15s ease;
  max-width: 300px;
  cursor: pointer;

  object-fit: fill;
  aspect-ratio: 4/3;

  transition: transform 200ms;
}
.grid img:hover, .grid video:hover {
  transform: scale(1.05);
}

@media (max-width: 600px) {
  .grid {
    width: 100%;
    flex-direction: column;
  }
}

.impressum {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  margin: 30px;
}
